package com.rjconsultores.ventaboletos.vo.parada;

public class ConexionRutaCtrlVO {

	private Integer rutaIdA;
	private Integer rutaIdB;
	private Integer rutaIdC;
	
	public ConexionRutaCtrlVO(Integer rutaIdA, Integer rutaIdB, Integer rutaIdC) {
		this.rutaIdA = rutaIdA;
		this.rutaIdB = rutaIdB;
		this.rutaIdC = rutaIdC;
	}

	public Integer getRutaIdA() {
		return rutaIdA;
	}

	public void setRutaIdA(Integer rutaIdA) {
		this.rutaIdA = rutaIdA;
	}

	public Integer getRutaIdB() {
		return rutaIdB;
	}

	public void setRutaIdB(Integer rutaIdB) {
		this.rutaIdB = rutaIdB;
	}

	public Integer getRutaIdC() {
		return rutaIdC;
	}

	public void setRutaIdC(Integer rutaIdC) {
		this.rutaIdC = rutaIdC;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((getRutaIdA() == null) ? 0 : getRutaIdA().hashCode());
		result = prime * result + ((getRutaIdB() == null) ? 0 : getRutaIdB().hashCode());
		result = prime * result + ((getRutaIdC() == null) ? 0 : getRutaIdC().hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof ConexionRutaCtrlVO))
			return false;
		ConexionRutaCtrlVO other = (ConexionRutaCtrlVO) obj;
		if (getRutaIdA() == null) {
			if (other.getRutaIdA() != null)
				return false;
		} else if (!getRutaIdA().equals(other.getRutaIdA()))
			return false;
		if (getRutaIdB() == null) {
			if (other.getRutaIdB() != null)
				return false;
		} else if (!getRutaIdB().equals(other.getRutaIdB()))
			return false;
		if (getRutaIdC() == null) {
			if (other.getRutaIdC() != null)
				return false;
		} else if (!getRutaIdC().equals(other.getRutaIdC()))
			return false;
		return true;
	}

}
